
Redmine - Feature #4264

Update CodeRay to 1.0 final

2009-11-22 20:47 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Whenever CodeRay 1.0 final is released update the included version in Redmine.

Related issues:

Related to Redmine - Defect #7495: Python multiline comments highlighting pro... Closed

Related to Redmine - Feature #3382: Ability to select only source code withou... Closed 2009-05-18

Follows Redmine - Feature #5344: Update to latest CodeRay 0.9.x Closed 2010-04-19

Precedes Redmine - Feature #8253: Update CodeRay to 1.1 final Closed

Follows Redmine - Feature #8255: Consider updating CodeRay to 1.0 RC-x Closed

Associated revisions

Revision 7618 - 2011-10-08 15:34 - Etienne Massip

Update CodeRay version to 1.0 final (#4264).

Revision 7619 - 2011-10-08 15:35 - Etienne Massip

Update CodeRay version to 1.0 final (#4264).

Revision 7620 - 2011-10-08 15:42 - Etienne Massip

Added missing gem spec to coderay vendored gem (#4264).

Revision 7621 - 2011-10-08 15:47 - Etienne Massip

Fix failing test (#4264).

Revision 7623 - 2011-10-10 19:38 - Etienne Massip

Update styles (#4264).

History

#1 - 2009-11-22 23:32 - Mischa The Evil

- Due date deleted (2009-05-14)

This issue should probably be targetted to the minor release following 0.9 (1.0? :)

#2 - 2010-03-21 09:39 - Kornelius Kalnbach

Just an update from the maintainer: I'm working on 1.0, but it will take time. I hope to release a preview this year :)

If there are any Redmine-specific enhancements/ideas, I'd be happy to mix them into the milestone.

However, new scanners and encoders are planned for 1.1.

#3 - 2011-04-30 00:28 - Mischa The Evil

Changed issue-relations to reflect the upstream roadmap:

- related to Feature #2623: C# syntax highlighting

- related to Patch #1471: Lua syntax highlighter for CodeRay

+ precedes Feature #8253: Update CodeRay to 1.1 final
and changed to new - more appropriate - category...

#4 - 2011-04-30 01:19 - Mischa The Evil

- Due date deleted (2010-04-20)

- Category changed from Text formatting to Third-party libraries

- Target version set to Unplanned backlogs

- Start date deleted (2010-04-20)

/me wrote:

[...] and changed to new - more appropriate - category [...]

 Now done ;) Also cleared the Start- and Due-dates and set target version.

#5 - 2011-04-30 02:23 - Mischa The Evil

Changed issue-relations to reflect the upstream roadmap:

- related to Defect #7495: Python multiline comments highlighting problem

in Reposit...

#6 - 2011-09-21 09:29 - Etienne Massip

- Target version changed from Unplanned backlogs to Candidate for next major release

CodeRay 1.0 is out!

Added back from #8255 relationships to #3382 and #7495.

#7 - 2011-10-08 15:35 - Etienne Massip

- Target version changed from Candidate for next major release to 1.3.0

#8 - 2011-10-10 19:40 - Etienne Massip

- Resolution set to Fixed

#9 - 2011-10-11 23:37 - Etienne Massip

- Status changed from New to Resolved

#10 - 2011-10-20 01:43 - Mischa The Evil

Etienne, Thanks for your work on this. Good to have => 1.0 in trunk for Redmine 1.3.0.

#11 - 2011-11-13 10:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed
